Subject: bug#66693: closed (Re: [bug#66693] [PATCH gnome-team 2/2] gnu: epiphany: Update to 42.5.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Oct 2023 05:26:02 +0000

Your bug report

#66693: [PATCH gnome-team 0/2] Epiphany still uses GTK+-3 as well

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66693: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66693
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66693] [PATCH gnome-team 2/2] gnu: epiphany: Update to 42.5.
From: Liliana Marie Prikler <[email-masked]>
To: Jack Hill <[email-masked]>, [email-masked]
Cc: Raghav Gururajan <[email-masked]>, Maxim Cournoyer <[email-masked]>
Date: Mon, 23 Oct 2023 07:24:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Sonntag, dem 22.10.2023 um 23:29 -0400 schrieb Jack Hill:
> * gnu/packages/gnome.scm (epiphany): Update to 42.5.
> ---
Confirmed locally and pushed.

Thanks

Subject: [PATCH gnome-team 0/2] Epiphany still uses GTK+-3 as well
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Sun, 22 Oct 2023 23:24:26 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix and Gnome Team,

Thanks for the recent webkitgtk work! Epiphany hasn't quite made the jump 
to GTK4 yet, so it needs to be adjusted to still use the GTK+-3 variant as 
well. While I was looking at it, I also updated to the latest point 
release.

I've been browsing the web with it on the x86-64 linux-libre host, and it 
works well (the fixes and improvements are nice).

Jack Hill (2):
   gnu: epiphany: Use webkitgtk-for-gtk3.
   gnu: epiphany: Update to 42.5.

  gnu/packages/gnome.scm | 6 +++---
  1 file changed, 3 insertions(+), 3 deletions(-)

base-commit: 9bac1cad271de4f4436755c296577c4e185d564c
-- 
2.41.0